<div class="row" style="margin-right: 0" *ngIf="dataAvailable">
  <div class="col-lg-8 mb-3">
    <mat-card>
      <div class="row">
        <div class="col">
          <mat-card-title>{{'participants.labels.information' | translate}}</mat-card-title>
        </div>
        <div class="col">
          <mat-card-actions align="end" class="mr-0">
            <button mat-flat-button color="primary" routerLink="modify">
              {{'participants.actions.modify' | translate}}
            </button>
          </mat-card-actions>
        </div>
      </div>
      <mat-card-content>
        <mat-form-field class="p-0 pr-3 m-0 col-12">
          <mat-label>{{'participants.labels.participantType' | translate}}</mat-label>
          <input matInput value="{{ participant.participantType }}" disabled>
        </mat-form-field>
        <mat-form-field class="p-0 pr-3 m-0 col-12">
          <mat-label>{{'participants.labels.code' | translate}}</mat-label>
          <input matInput value="{{ participant.code }}" disabled>
        </mat-form-field>
        <mat-form-field class="p-0 pr-3 m-0 col-12">
          <mat-label>{{'participants.labels.bic' | translate}}</mat-label>
          <input matInput value="{{ getDefaultValueIfNull(participant.bic) }}" disabled>
        </mat-form-field>
        <mat-form-field class="p-0 pr-3 m-0 col-12">
          <mat-label>{{'participants.labels.name' | translate}}</mat-label>
          <input matInput value="{{ participant.name }}" disabled>
        </mat-form-field>
        <mat-form-field class="p-0 pr-3 m-0 col-12">
          <mat-label>{{'participants.labels.shortName' | translate}}</mat-label>
          <input matInput value="{{ participant.shortName }}" disabled>
        </mat-form-field>
        <mat-form-field class="p-0 pr-3 m-0 col-12" *ngIf="participant.settlementBank">
          <mat-label>{{'participants.labels.settlementBank' | translate}}</mat-label>
          <input matInput value="{{ participant.settlementBank }}" disabled>
        </mat-form-field>
        <mat-form-field class="p-0 pr-3 m-0 col-12">
          <mat-label>{{'participants.labels.logo' | translate}}</mat-label>
          <input matInput class="d-none" disabled value="&nbsp;">
          <img [src]="'data:image/png;base64,' + participant.logo" class="logo-thumbnail">
        </mat-form-field>
      </mat-card-content>
    </mat-card>
  </div>
</div>
